#ifndef LIBKYDEVICESEC_H
#define LIBKYDEVICESEC_H

#include "device_define.h"

#ifdef __cplusplus
extern "C" {
#endif

#define CHAR_MID_LEN 128

//设备类型
enum DevType {
    DEV_USB = 1,
    DEV_WIRELESS = 7,
    DEV_ETHERNET = 8,
    DEV_MAX
};

//usb设备的类型
enum UsbDevType {
    DEV_USB_HARD_DRIVE = 1,
    DEV_USB_CDROM,
    DEV_USB_PRINTER,
    DEV_USB_CAMERA,
    DEV_USB_BLUETOOTH,
    DEV_USB_STORAGE,
    DEV_USB_MAX
};

extern int kdk_enable_device(const int i_type,const int i_usb_type);

extern int kdk_enable_usb_storage_device(const struct st_device st_dev);

extern int kdk_enable_usb_cdrom_device(const struct st_device st_dev);

extern int kdk_enable_usb_printer_device(const struct st_device st_dev);

extern int kdk_enable_usb_camera_device(const struct st_device st_dev);

extern int kdk_enable_usb_bluetooth_device(const struct st_device st_dev);

extern int kdk_disable_device(const int i_type,const int i_usb_type);

extern int kdk_disable_usb_storage_device(const struct st_device st_dev);

extern int kdk_disable_usb_cdrom_device(const struct st_device st_dev);

extern int kdk_disable_usb_printer_device(const struct st_device st_dev);

extern int kdk_disable_usb_camera_device(const struct st_device st_dev);

extern int kdk_disable_usb_bluetooth_device(const struct st_device st_dev);

#ifdef __cplusplus
}
#endif

#endif//LIBKYDEVICESEC_H
